<%@ Page Language="C#"  ASPCompat="true"%>

<script runat="server">

// Note - this code is not intended for commercial use. No warranty implied.
// I.B.M., R.E., 2004

// this page is called from objsess.aspx that creates an Employee object,
// saves off the session id from that object in a cookie, and then calls
// this page which reuses the session id from the cookie
// when creating the Customer object in the sub OpenRedBackObject.
 
string focusObj;

private void Page_Load(object sender, System.EventArgs e)
{
        string action = "";
        focusObj = "";
        Mess.Text = "";
        if (Page.IsPostBack) 
        {
        	// What is the action to take - passed in 'action'
   		action = Request["txtAction"];
   		if (action == "") { action = "Read"; }
		switch(action)
		{
		 case "Read":
		   ReadData();
		   break;
		 case "Write":		  
		    WriteData();
		    break;
		 case "Clear":
		    ClearForm();
		    break;
		 default:
		    // Just show form 
		    break;
		}
	} else {
		focusObj = "txtCustId";
        }
    }
    private string GetDatabaseName() 
    		{ 
    			string DatabaseName;
    			DatabaseName = "rbexamples";
    			return DatabaseName;
		}

    private void WriteData()
    {

	//Submit to write data
	bool InputValid = true;
	REDPAGESLib.RedObject ro;
	REDPAGESLib.RedProperty myprop;
	string ROName = "";
	string DatabaseName;
	string RBModule;

	//Begin Validation block
	if ((txtCustId.Text).Trim() == "") 
	{
		//Set Message label with validation message
		Mess.Text = "Validation failed: Please enter Id. <br>";
		InputValid = false;
	}
	if ((txtName.Text).Trim() == "") 
	{
		//Set Message label with validation message
		Mess.Text += "Validation failed: Please enter First Name. <br>";
		InputValid = false;
	}
	//End Validation block

	//Begin Write Block
	if (InputValid) 
	{
		// do RedBack Database Access using pre-defined RedBack Object
		try 
		{
			//Make Connection to rbexamples database and Get object definition
			ROName = "CustomerMaint";
			RBModule = "EXMOD";
			DatabaseName = GetDatabaseName();
			// open RedBack object using subroutine - "N" means treat as stateful object
			OpenRedbackObject(out ro, DatabaseName, RBModule, ROName, "", "", "N");

			//Set Properties
			myprop = (REDPAGESLib.RedProperty)ro.Property ("CustId");
			myprop.Value = (txtCustId.Text).Trim();
			myprop = (REDPAGESLib.RedProperty)ro.Property ("Name");
			myprop.Value = ((txtName.Text).Trim());
			//Call Method
			ro.CallMethod("WriteData");
			//If RBO or SLRBO we would check some status property to see if Write Okay,
			// for uObject we could check lock_status to see if record was locked
			if (ro != null) 
			{
				//Close Object
				ro.Close();
			}
		} 
		catch (Exception ex) 
		{
			//Set Message label with error message
			Mess.Text = "Exception occurred: " + ex.Message;
		}
	//Clear inputs
	txtCustId.Text = "";
	txtName.Text = "";
	Mess.Text = "";
	}
    }
    private void ReadData() 
	{
	//Submit to read data
	bool InputValid = true;
	REDPAGESLib.RedObject ro;
	REDPAGESLib.RedProperty myprop;
	string ROName;
	string DatabaseName;
	string RBModule;
	string NewItem;
	//Begin Validation block
	if ((txtCustId.Text).Trim() == "") 
	{
		//Set Message label with validation message
		Mess.Text = "Validation failed: Please enter Id. <br>";
		InputValid = false;
	}
	//End Validation block

	//Begin Read Block
	if (InputValid) 
	{
		// do RedBack Database Access using pre-defined RedBack Object
		try 
		{
		//Make Connection to rbexamples database and Get object definition
			ROName = "CustomerMaint";
			RBModule = "EXMOD";
			DatabaseName = GetDatabaseName();

			// open RedBack object using subroutine - "N" means treat as stateful object
			OpenRedbackObject(out ro, DatabaseName, RBModule, ROName, "", "", "N");

			//Set Id into Object Property
			myprop = (REDPAGESLib.RedProperty)ro.Property ("CustId");
			myprop.Value = (txtCustId.Text).Trim();
			//Call Method
			ro.CallMethod("ReadData");
			//If RBO or SLRBO we would check some status property to see if Read Okay,
			// for uObject we can check new_item to see item existed
			myprop = (REDPAGESLib.RedProperty)ro.Property ("new_item");
			NewItem = myprop.Value;
			if (NewItem == "1") {
				Mess.Text = "No Record found with Id = " + txtCustId.Text;
				Mess.Text = Mess.Text + ". Try 1.";
			}
			myprop = (REDPAGESLib.RedProperty)ro.Property ("Name");
			txtName.Text = myprop.Value;
			if (ro != null) 
			{
				//Close Object
				ro.Close();
			}
		} 
		catch(Exception ex) 
		{
			//Set Message label with error message
			Mess.Text = "Exception occurred: " + ex.Message;
		}
	}
	}
    
    private void ClearForm() {
   // Clear inputs
    	Mess.Text = "";
    	txtCustId.Text = "";
    	txtName.Text = "";
    }
    
    public void OpenRedbackObject(out REDPAGESLib.RedObject ro, string DatabaseName, string ROModule, string ROName, string Username, string Password, string Stateless)
	{
	// open object - note we should reuse the sessionid for all stateful objects, and keep the RBHandle
	// in a cookie to be able to use the object in a stateful manner. 
	// Could change routine to use hidden field or session instead of cookie for RBHandle.
	// Note too we are keeping the Redobject in session to avoid repeated calls to RedPages.dll to re-create,
	// good for performance.
	// Can be used for stateful or stateless objects -- pass "N" in stateless parameter for stateful open or "refresh"
	string RBHandle;
	string RB_SessionId = "";
	string prevRBHandle;
	//string strVariable;
	bool IsOpen = false;
	ro = null;
	HttpCookie objCookie;
	// DatabaseName = GetDatabaseName()
	RBHandle = ROModule + ":" + ROName;
	if (Stateless != "N") Stateless = "Y";
	if (Stateless == "N") 
	{
		//   Handle Stateful using sessionid and object handle in cookies
		foreach (string strVariable in Request.Cookies) 
		{
			if (strVariable == "RB_SessionId") 
			{
				RB_SessionId = Request.Cookies[strVariable].Value;
			}
			if (strVariable == "RB_" + ROName) 
			{
				prevRBHandle = Request.Cookies[strVariable].Value;
				if (prevRBHandle != "") 
				{
					RBHandle = prevRBHandle;
				}
			}
		}
	}

	if ((Session[ROName] != null)) 
	{
		ro = (REDPAGESLib.RedObject) Session[ROName];
		try 
		{
			ro.Open2(DatabaseName, RBHandle, Username, Password, RB_SessionId);
			IsOpen = true;
			if (Stateless == "N") 
			{
				//Handle Stateful
				objCookie = new HttpCookie("RB_SessionId",ro.sessionid);
				Response.Cookies.Add(objCookie);
				objCookie = new HttpCookie("RB_" + ROName,ro.RBOHandle);
				Response.Cookies.Add(objCookie);
			}
		}
		catch (Exception ex) 
		{
			//Set Message label with error message
			throw ex;
		}
	}
	if (IsOpen != true) 
	{
		try 
		{
			ro = new REDPAGESLib.RedObject();
			ro.Open2(DatabaseName, RBHandle, Username, Password, RB_SessionId);
			IsOpen = true;
			Session[ROName] = ro;
			if (Stateless == "N") 
			{
				//Handle Stateful
				objCookie = new HttpCookie("RB_SessionId",ro.sessionid);
				Response.Cookies.Add(objCookie);
				objCookie = new HttpCookie("RB_" + ROName,ro.RBOHandle);
				Response.Cookies.Add(objCookie);
			}
		}
		catch (Exception ex) 
		{
			//Set Message label with error message
			throw ex;
		}
	}
    }
</script>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<TITLE>uObject Example 2</TITLE>
		<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<link rel=stylesheet href=rb.css TYPE=text/css>
	</HEAD>

<SCRIPT language="JavaScript">
function SendToWebServer(action)
{
   document.Form1.txtAction.value = action; 
   document.Form1.submit();
}	

function displayCode(codePage) {
 var Console=window.open(codePage,'Console','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=700,height=300');
 Console.focus();
}
</SCRIPT>

<BODY BGCOLOR="#FFFFFF" TEXT="#000080" LINK="#ffffff" VLINK="#ffffff" ALINK="#ffffff" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=0 WIDTH=800 ALIGN=LEFT STYLE="font-family:Arial;font-size:12">
<TR>
<TD ALIGN=TOP COLSPAN=3 ><IMG VALIGN=TOP SRC="images/mainhdr.gif" WIDTH=800 HEIGHT=107></TD>
</TR>
<tr>
<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=50></TD>
<td><img src=images/onepixel.gif width=50 height=0></td>
<td><img src=images/onepixel.gif width=600 height=0></td>
</tr>
<tr>
<td bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=50 HEIGHT=0>
<img scr=images/onepixel.gif width=10 height=1 border=0><A class=whitelink HREF="aspnetcsharpindex.html">Back</A></TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<TR>
<TD bgcolor="#6699CC">&nbsp;</TD>
<td><img src=images/onepixel.gif width=10></td>
<td align=center>
<form id="Form1" method="post" runat="Server">
<input type="hidden" id="txtAction" name="txtAction" value="" />
<table width=500>
  <TR><TD CLASS=mainHeader COLSPAN=2 ALIGN="CENTER">Customer Maintenance</TD></TR>
  <tr><td colspan="2"><P><FONT color="#ff0066" size="-1"><asp:label id="Mess" runat="server"></asp:label></FONT></P></td></tr>
  <TR>
    <TD>Customer ID</TD>
    <TD>
      <asp:textbox id="txtCustId" runat="server" Width="75px" AutoPostBack="True" CssClass="inputtext1"></asp:textbox>
    </TD>
  </TR>
  <TR>
    <TD>Name</TD>
    <TD>
      <asp:textbox id="txtName" runat="server" Width="360px" CssClass="inputtext1"></asp:textbox></TD>
  </TR>
<tr>
    <TD>
      <A class=button1Link HREF="JavaScript:SendToWebServer('Write')">Accept</A>
    </td>
    <TD vAlign=top>
      <A class=button1Link  HREF="JavaScript:SendToWebServer('Clear')">Clear</A>
     </TD>
</tr>
</table>
</td></tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<TR>
<TD bgcolor="#6699CC">&nbsp;</TD>
<td>&nbsp;</td>
<td><a href=javascript:displayCode("aspnetcsharpcodeuobjectex2.html")><img border=0 src=images/codeex.gif></a>
</td>
</tr>
</TABLE>

<% if (focusObj != "") { %>
  <SCRIPT language="JavaScript">
  var hFocusObj = document.Form1.<%= focusObj %>;
  hFocusObj.focus();
  </SCRIPT>
<% } %>

</FORM>
</BODY>
</HTML>
