<%@ Page Language="VB"  ASPCompat="true"%>

<script runat="server">

' Note - this code is not intended for commercial use. No warranty implied.
' I.B.M., R.E., 2004

Dim focusObj As String

Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) 
        Dim action As String
        focusObj = ""
        Mess.Text = ""
        If Page.IsPostBack Then
        	' What is the action to take - passed in 'action'
   		action = Request.Form("txtAction")
   		If action = "" Then action = "Read"
		Select Case action
		 Case "Read"
		   ReadData()
		 Case "Write"		  
		    WriteData()
		 Case "Clear"
		    ClearForm()		  
		 Case Else
		    ' Just show form  
		End Select
	Else
		focusObj = "txtEmpId"
        End If
    End Sub
    Function GetDatabaseName()
        Dim DatabaseName As String
        DatabaseName = "rbexamples"
        Return DatabaseName
    End Function

    Private Sub WriteData() 
        'Submit to write data
        Dim InputValid As Boolean = True
        Dim ro As REDPAGESLib.RedObject
        Dim ROName As String
        Dim DatabaseName As String
        Dim RBModule As String
        Dim prop As REDPAGESLib.RedProperty

        'Begin Validation block
        If Trim(txtEmpId.Text) = "" Then
            'Set Message label with validation message
            Mess.Text = "Validation failed: Please enter Employee Id. <br>"
            InputValid = False
        End If
        If Trim(txtFirstName.Text) = "" Then
            'Set Message label with validation message
            Mess.Text &= "Validation failed: Please enter First Name. <br>"
            InputValid = False
        End If
        If Trim(txtLastName.Text) = "" Then
            'Set Message label with validation message
            Mess.Text &= "Validation failed: Please enter Last Name. <br>"
            InputValid = False
        End If
        'End Validation block

        'Begin Write Block
        If InputValid Then
            ' do RedBack Database Access using pre-defined RedBack Object
            Try
                'Make Connection to rbexamples database and Get Employee object definition
                ROName = "Employee"
                DatabaseName = GetDatabaseName()
                RBModule = "EXMOD"
                ' make call to subroutine to open (or bring already existing) object from backend.
                ' The "N" tells subroutine the object is stateful and we should open it so.
                OpenRedbackObject(ro, DatabaseName, RBModule, ROName, "", "", "N") 
		
		'Set Properties
		prop = ro.Property("EmpId")
                prop.Value = Trim(txtEmpId.Text)
		prop = ro.Property("FirstName")
                prop.Value = Trim(txtFirstName.Text)
		prop = ro.Property("LastName")
                prop.Value = Trim(txtLastName.Text)
                'Call Method
                ro.CallMethod("WriteData")
                'If RBO or SLRBO we would check some status property to see if Write Okay,
                ' for uObject we could check lock_status to see if record was locked
 		prop = ro.Property("Status")
                If prop.Value = "1" Then 
                	prop = ro.Property("StatusText")
		     	Mess.Text = "Error: " & prop.Value
		End If
            Catch ex As Exception
                'Set Message label with error message
                Mess.Text = "Exception occurred: " & ex.Message
            Finally
            	'Close Object
                    ro.Close()
            End Try
            'Clear inputs
            txtEmpId.Text = ""
            txtFirstName.Text = ""
            txtLastName.Text = ""
        End If
    End Sub

    Private Sub ReadData()
        'Submit to read data
        Dim InputValid As Boolean = True
        Dim ROName As String
        Dim DatabaseName As String
        Dim ro As REDPAGESLib.RedObject
        Dim prop As REDPAGESLib.RedProperty
        Dim iSel As Integer
        Dim RBModule As String
        Dim NewItem As String
        Dim i As Integer
        Dim deptcode As String

        'Begin Validation block
        If Trim(txtEmpId.Text) = "" Then
            'Set Message label with validation message
            Mess.Text = "Validation failed: Please enter Employee Id. <br>"
            InputValid = False
        End If
        'End Validation block

        'Begin Read Block
        If InputValid Then
            ' do RedBack Database Access using pre-defined RedBack Object
            Try
                'Make Connection to rbexamples database and Get Employee object definition
                ROName = "Employee"
                DatabaseName = GetDatabaseName()
                RBModule = "EXMOD"
                ' make call to subroutine to open (or bring already existing) object from backend.
		' The "N" tells subroutine the object is stateful and we should open it so.
                OpenRedbackObject(ro, DatabaseName, RBModule, ROName, "", "", "N") 

                'Set Id into Object Property
		prop = ro.Property("EmpId")
                ro.Property("EmpId").Value = Trim(txtEmpId.Text)
                'Call Method
                ro.CallMethod("ReadData")
                'If RBO or SLRBO we would check some status property to see if Read Okay,
                ' for uObject we could check new_item to see item existed
                prop = ro.Property("new_item")
                NewItem = prop.Value
		prop = ro.Property("FirstName")
                txtFirstName.Text = prop.Value
		prop = ro.Property("LastName")
                txtLastName.Text = prop.Value
                If NewItem <> "1" Then
                	Mess.Text = ""
                Else
                	Mess.Text = "No Record with ID = " & Trim(txtEmpId.Text) & ", try 1001 to 1024."
                End If

            Catch ex As Exception
                'Set Message label with error message
                Mess.Text = "Exception occurred: " & ex.Message
            Finally
		 'Close Object
                 ro.Close()
            End Try
        End If
    End Sub
    
    Private Sub ClearForm()
    'Clear inputs
    	Mess.Text = ""
    	txtEmpId.Text = ""
    	txtFirstName.Text = ""
    	txtLastName.Text = ""
    End Sub
    
    Public Sub OpenRedbackObject(Byref ro, ByVal DatabaseName, ByVal ROModule, ByVal ROName, ByVal Username, ByVal Password, ByVal Stateless)
            ' open object - note we should reuse the sessionid for all stateful objects, and keep the RBHandle
	    ' in a cookie to be able to use the object in a stateful manner. 
	    ' Could change routine to use hidden field or session instead of cookie for RBHandle.
	    ' Note too we are keeping the Redobject in session to avoid repeated calls to RedPages.dll to re-create,
	    ' good for performance.
            ' Can be used for stateful or stateless objects -- pass "N" in stateless parameter for stateful open or "refresh"
            Dim i As Int16
            Dim RBHandle As String
            Dim RB_SessionId As String
            Dim prevRBHandle As String
            Dim strVariable As String
            Dim IsOpen As Boolean
            Dim objCookie As HttpCookie
            ' DatabaseName = GetDatabaseName()
            RBHandle = ROModule & ":" & ROName
            If Stateless <> "N" Then Stateless = "Y"
            If Stateless = "N" Then
            '   Handle Stateful using sessionid and object handle in cookies
                For Each strVariable in Context.Request.Cookies()
                   If strVariable = "RB_SessionId" Then
                      RB_SessionId = Context.Request.Cookies(strVariable).Value
                   End If
                   If strVariable = "RB_" & ROName Then
    	          prevRBHandle = Context.Request.Cookies(strVariable).Value
    	          if prevRBHandle <> "" then
    	             RBHandle = prevRBHandle
    	          end if
                   End If
                Next
            End If
    	
    	    If Not(Context.Session(ROName) is Nothing) Then
    	        ro = Context.Session(ROName)
    		Try
    		    ro.Open2(DatabaseName, RBHandle, Username, Password, RB_SessionId)
    		    IsOpen = True
    		    If Stateless = "N" Then
    			'Handle Stateful
    			objCookie = New HttpCookie("RB_SessionId",ro.SessionId)
    			Context.Response.Cookies.Add(objCookie)
    			objCookie = New HttpCookie("RB_" & ROName,ro.RBOHandle)
    			Context.Response.Cookies.Add(objCookie)
    		    End If
    		Catch ex As Exception
    		    'Set Message label with error message
    		    throw ex
    		End Try
    	    End If
            If Not IsOpen Then
                Try
                    ro = New REDPAGESLib.RedObject()
                    ro.Open2(DatabaseName, RBHandle, Username, Password, RB_SessionId)
                    IsOpen = True
                    Context.Session(ROName) = ro
                    If Stateless = "N" Then
                        'Handle Stateful
    		     objCookie = New HttpCookie("RB_SessionId",ro.SessionId)
    		     Context.Response.Cookies.Add(objCookie)
    		     objCookie = New HttpCookie("RB_" & ROName,ro.RBOHandle)
                         Context.Response.Cookies.Add(objCookie)
                    End If
                Catch ex As Exception
                    'Set Message label with error message
                    throw ex
                End Try
            End If
    End Sub
</script>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<TITLE>uObject Example 1</TITLE>
		<meta content="Microsoft Visual Studio.NET 7.0" name="GENERATOR">
		<meta content="Visual Basic 7.0" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<link rel=stylesheet href=rb.css TYPE=text/css>
	</HEAD>

<SCRIPT language="JavaScript">
function SendToWebServer(action)
{
   document.Form1.txtAction.value = action; 
   document.Form1.submit();
}	

function displayCode(codePage) {
 var Console=window.open(codePage,'Console','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=700,height=300');
 Console.focus();
}
</SCRIPT>

<BODY BGCOLOR="#FFFFFF" TEXT="#000080" LINK="#ffffff" VLINK="#ffffff" ALINK="#ffffff" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=0 WIDTH=800 ALIGN=LEFT STYLE="font-family:Arial;font-size:12">
<TR>
<TD ALIGN=TOP COLSPAN=3 ><IMG VALIGN=TOP SRC="images/mainhdr.gif" WIDTH=800 HEIGHT=107></TD>
</TR>
<tr>
<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=50></TD>
<td><img src=images/onepixel.gif width=50 height=0></td>
<td><img src=images/onepixel.gif width=600 height=0></td>
</tr>
<tr>
<td bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=50 HEIGHT=0>
<img scr=images/onepixel.gif width=10 height=1 border=0><A class=whitelink HREF="aspnetvbindex.html">Back</A></TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<TR>
<TD bgcolor="#6699CC">&nbsp;</TD>
<td><img src=images/onepixel.gif width=10></td>
<td align=center>
<form id="Form1" method="post" runat="Server">
<input type="hidden" id="txtAction" name="txtAction" value="" />
<table>
  <TR><TD CLASS=mainHeader COLSPAN=2 ALIGN="CENTER">Employee Maintenance</TD></TR>
  <tr><td colspan="2"><P><FONT color="#ff0066" size="-1"><asp:label id="Mess" runat="server"></asp:label></FONT></P></td></tr>
  <TR>
    <TD>Employee ID</TD>
    <TD>
      <asp:textbox id="txtEmpId" runat="server" Width="75px" AutoPostBack="True" CssClass="inputtext1"></asp:textbox>
    </TD>
  </TR>
  <TR>
    <TD>First Name</TD>
    <TD>
      <asp:textbox id="txtFirstName" runat="server" Width="175px" CssClass="inputtext1"></asp:textbox></TD>
  </TR>
  <TR>
    <TD>Last Name</TD>
    <TD><asp:textbox id="txtLastName" runat="server" Width="175px" CssClass="inputtext1"></asp:textbox></TD>
  </TR>
<tr>
    <TD>
      <A class=button1Link HREF="JavaScript:SendToWebServer('Write')">Accept</A>
    </td>
    <TD vAlign=top>
      <A class=button1Link  HREF="JavaScript:SendToWebServer('Clear')">Clear</A>
     </TD>
</tr>
</table>
</td></tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<TR>
<TD bgcolor="#6699CC">&nbsp;</TD>
<td>&nbsp;</td>
<td><a href=javascript:displayCode("aspnetvbcodeuobjectex1.html")><img border=0 src=images/codeex.gif></a>
</td>
</tr>
</TABLE>

<% If focusObj <> "" Then %>
  <SCRIPT language="JavaScript">
  var hFocusObj = document.Form1.<%=focusObj%>;
  hFocusObj.focus();
  </SCRIPT>
<% End If %>

</FORM>
</BODY>
</HTML>
