# showapache.awk.  run from shell script showapache.
# show apache processes.

# Assumes first three fields of appropriate ps command are:
#    UID PID PPID

BEGIN {
   APHOME=ARGV[2];ARGC--
   rc = 0
   pscmd = "ps -ef"
   pidfile = APHOME "/rgw/apache/logs/httpd.pid"
   pidsched = -1
   while (getline < pidfile > 0) {
      pidsched = $1
   }
   close(pidfile)
   if (pidsched < 0) {
      printf("Can't show rgwsched -- file %s not found.\n", pidfile)
      rc = 1; exit
   }
   printf("pidsched=%d\n", pidsched)
   i = 0
   while (pscmd | getline > 0) {
      if (i != 0) {
         psfull[i-1]= $0
         pstab[i-1]= $1 " " $2 " " $3
      }
      ++i
   }
   npstab = i-1
   schedidx = -1
   for (i = 0; i < npstab; ++i) {
      split(pstab[i], line, " ")
      if (line["2"] == pidsched) {
         schedidx = i; break
      }
   }
   printf("schedidx=%d\n", schedidx)
   if (schedidx < 0) {
      printf("Apache is not running (pid=%d not found).\n", pidsched)
      rc = 1; exit
   }
   printf("Apache Scheduler [pid=%d]:\n", pidsched)
   printf("%s\n\n", psfull[schedidx])

   for (i = 0; i < npstab; ++i) {
      split(pstab[i], line, " ")
      if (line["3"] == pidsched) {
         resp[line["2"]] = psfull[i]
      }
   }

   printf("Apache Responders:\n")
   for (target in resp) {
      printf("%s\n", resp[target])
   }
}
END {
   exit rc
}

