* ******************************************** *
* Standard field information available outside *
* of the recordset object. Some elements may   *
* not be set to a value.                       *
* ******************************************** *
*
   EQU FLD.NF2.CNT      TO 15  ;* Number of elements in NF2 include!
   EQU FLD.ODBC.CNT     TO 17  ;* Number of elements in ODBC include!
*
   EQU FLD.NAME         TO 1
   EQU FLD.TABLENAME    TO 2
   EQU FLD.DESC         TO 3
   EQU FLD.COL.HEAD     TO 4
   EQU FLD.JUST         TO 5
   EQU FLD.LENGTH       TO 6
   EQU FLD.OCONV        TO 7
   EQU FLD.ICONV        TO 8
   EQU FLD.DEFAULT      TO 9
   EQU FLD.VALIDATION   TO 10
   EQU FLD.MVFLAG       TO 11
*
* Field position has the 'normal' positional meaning
* for NF2 recordsets, but is used as a 'field can be
* updated' flag for ODBC recordsets. (1/0=can/cannot,
* -1=field expression, -2=pseudo-column)
*
   EQU FLD.POSITION     TO 12
*
* Field correlative holds the derived field 'formula'
* for NF2 recordsets. It holds any expression for a
* derived column for ODBC recordsets, but in this case,
* must be considered 'read-only'.
*
   EQU FLD.CORREL       TO 13
*
*  The following values are ONLY returned for
*  recordsets where the database type is NF2!
*
   EQU FLD.ASSOC        TO 14
   EQU FLD.DTYPE        TO 15
*
*  The following values are used only by ODBC
*  recordset objects. Note that these can include
*  NF2 files accessed via ODBC (eg on uniVerse)
*
   EQU FLD.SQLTYPE      TO 14
   EQU FLD.BASICTYPE    TO 15
   EQU FLD.QUOTE.CHRS   TO 16
   EQU FLD.PREC.SCALE   TO 17    ;* prec :SVM: scale
*
*end-of-include
