# showrgw.pl.  run from shell script showrgw.
# show rgw processes.
# For now, write to Perl 4.036 and up.

# Assumes first three fields of appropriate ps command are:
#    UID PID PPID

$verbose  = $ARGV[0];
$acctname = $ARGV[1];

#if (!$ENV{'RGWHOME'}) {
#   if (!$ENV{'RBHOME'}) {
#      print "The \$RBHOME or \$RGWHOME environment variable must be set.\n";
#      exit 1;
#   } else {
#      $ENV{'RGWHOME'} = $ENV{'RBHOME'} . '/rgw';
#   }
#}
$RGWHOME=$ENV{'RGWHOME'};

#$BSD = -f '/vmunix';
#$pscmd = $BSD ? "ps -auxw" : "ps -ef";
$pscmd = "ps -ef";

$pidfile="$RGWHOME/lock/RGWPID";
$ntries=5;
$dump_acct="$RGWHOME/log/dump_acct";
$dump_score="$RGWHOME/log/dump_score";
$dump_lock="$RGWHOME/log/dump_lock";

open(ACCT,$dump_acct) || die "Scheduler not running (can't open $dump_acct: $!)\n";
$i=0;
while (<ACCT>) {
   ($acct[$i]) = split;
   ++$i;
}
close(ACCT) || die "Can't close $dump_acct: $!\n";

if (!$verbose) {
   for ($i=0; $i <= $#acct; ++$i) {
      if ($acctname eq "" || $acct[$i] eq $acctname) {
         print "$acct[$i]\n";
      }
   }
   exit 0;
}

if (-f $pidfile) {
   open(PIDFILE,$pidfile) || die "Can't open $pidfile: $!\n";
   $pidsched = <PIDFILE>;
   chop $pidsched;
   # strip trailing blanks
   $pidsched =~ s/ +//;
   close(PIDFILE) || die "Can't close $pidfile: $!\n";
} else {
   print "Can't show rgwsched -- file $pidfile not found.\n";
   exit 1;
}

unlink($dump_lock);
# send SIGUSR1 to scheduler asking to dump account and scoreboard info
# 16 seems to be always SIGUSR1
kill('SIGUSR1',$pidsched) || die "Can't kill SIGUSR1 $pidsched $!\n";

open(PS,"$pscmd|") || die "$pscmd failed: $!\n";
$title = <PS>;
@pstab = <PS>;
$schedidx = -1;
foreach $i (0 .. $#pstab) {
   ($uname, $pid, $ppid) = split(' ',$pstab[$i]);
   if ($pid == $pidsched) {
      $schedidx = $i; last;
   }
}
if ($schedidx < 0) {
   print "Scheduler is not running!!\n";
   exit 1;
}
print "Scheduler [pid=$pidsched]:\n";
#print $pstab[$schedidx];
@line = split(' ',$pstab[$schedidx]);
foreach $i (0 .. $#line) {
   print " $line[$i]";
}
print "\n\n";

foreach $i (0 .. $#pstab) {
   ($uname, $pid, $ppid) = split(' ',$pstab[$i]);
   if ($ppid == $pidsched) {
      $resp{$pid} = $pstab[$i];
   }
}

foreach $i (0 .. $#pstab) {
   ($uname, $pid, $ppid) = split(' ',$pstab[$i]);
   if (defined $resp{$ppid}) {
      $back{$ppid} = $pstab[$i];
   }
}

print "Responder/Backend Pairs:\n";
foreach $targ (sort keys(%resp)) {
   #print $resp{$targ};
   @line = split(' ',$resp{$targ});
   foreach $i (0 .. $#line) {
      print " $line[$i]";
   }
   print "\n";
   #print $back{$targ} if defined $back{$targ};
   if (defined $back{$targ}) {
      @line = split(' ',$back{$targ});
      foreach $i (0 .. $#line) {
         print " $line[$i]";
      }
      print "\n";
   }
   print "\n";
}

# andrew is a workaholic ... he even forgets his pregnant wife!

select(STDOUT);$|=1;
print "                                                  ave. elapsed  ave. lic.\n";
print "                                   average bytes  time per      wait time\n";
print "Resp-pid Account       n_requests   per request   request        (secs)";

for ($z=1; $z < $ntries; ++$z) {
   last if -f $dump_lock;
   print ".";
   sleep $z;
}
if ($z == $ntries) {
   print "failed.\n";
   exit 1;
}
print "\n";

open(SCORE,$dump_score) || die "Can't open $dump_score: $!\n";
while (<SCORE>) {
   # example line: 10610 1 0 4 324 0.000000 0.070000
   ($pid, $status, $acctidx, $nreq, $bs, $lw, $re) = split;
   $score{$pid} = $acct[$acctidx];
   if (defined $re) {
      $n_request{$pid} = $nreq;
      $bytes_serviced{$pid} = $bs;
      $lic_wait{$pid} = $lw;
      $req_elapsed{$pid} = $re;
   }
}
close(SCORE) || die "Can't close $dump_score: $!\n";

$tot_nreq = 0; $tot_bs = 0; $tot_re = 0; $tot_lw = 0;
foreach $targ (sort keys(%resp)) {
   if (defined $score{$targ}) {
      if (defined $req_elapsed{$targ} && $n_request{$targ} > 0) {
         if ($acctname eq "" || $score{$targ} eq $acctname) {
            $tot_nreq += $n_request{$targ};
            $tot_bs += $bytes_serviced{$targ};
            $tot_re += $req_elapsed{$targ};
            $tot_lw += $lic_wait{$targ};
            printf("%7d  %-12.12s %7d    %9.0f       %9.6f     %9.6f\n",
            $targ, $score{$targ}, $n_request{$targ},
            $bytes_serviced{$targ}/$n_request{$targ},
            $req_elapsed{$targ}/$n_request{$targ},
            $lic_wait{$targ}/$n_request{$targ});
         }
      } else {
         if ($acctname eq "" || $score{$targ} eq $acctname) {
            printf("%7d  %-12.12s\n", $targ, $score{$targ});
         }
      }
   } else {
      print " $targ unknown\n";
   }
}

if ($tot_nreq > 0) {
   printf("         %-12.12s %7d    %9.0f       %9.6f     %9.6f\n",
   "TOTALS", $tot_nreq,
   $tot_bs/$tot_nreq, $tot_re/$tot_nreq, $tot_lw/$tot_nreq);
}

exit 0;
